Ticket #1110 (new task)

Opened 19 months ago

Obsolete rpc headers not needed in /tools

Reported by: chris@… Owned by: clfs-commits@…
Priority: minor Milestone:
Component: BOOK Version:
Keywords: Cc: berzerkula@…, jonathan@…, chris@…, cross-lfs@…

Description

For Glibc, we currently use --enable-obsolete-rpc in both Cross Tools and Final System, to install several rpc header for some packages that might need them. I'm testing a build now without this option, and it appears it is not needed, at least in /tools and possibly not in the final-system as well. There might be some packages that I don't use that still need those headers, but I haven't seen any problems from leaving them out.

In any case, --enable-obsolete-rpc does not appear to be needed for the Cross Tools build of Glibc. It's possible that it might not be needed in the Final System either, but I think it could be left there for now.

Note: See TracTickets for help on using tickets.